<app-header [border]="false" class="block mx-15"></app-header>
<ion-content class="home border-top-1 border-0 border-solid has-border-gray">
    <ion-grid>
        <ion-row
            class="ion-justify-content-between mx-16 mt-12 mb-14 ion-align-items-center"
        >
            <ion-col size="6" class="ion-no-padding ion-align-items-center">
                <ion-row>
                    <ion-col size="auto" class="ion-no-padding mr-10">
                        <ion-icon
                            class="pt-4"
                            name="calendar-outline"
                        ></ion-icon>
                    </ion-col>
                    <ion-col class="ion-no-padding"
                        ><ion-text
                            class="has-text-secondary size-14 weight-400 is-dove-dark"
                            >Mon Agenda</ion-text
                        ></ion-col
                    >
                </ion-row>
            </ion-col>
            <ion-col
                size="auto"
                color="blue"
                class="ion-no-padding"
                *ngIf="consultationService.list.length > 0"
            >
                <a
                    routerLink="/tabs/diaries"
                    class="radius-13 px-5 size-11 weight-400 has-background-blue-light is-white ion-align-items-center has-text-primary flex"
                >
                    Tout voir
                    <ion-icon
                        name="arrow-forward-outline"
                        size="10"
                        class="is-white"
                    ></ion-icon>
                </a>
            </ion-col>
        </ion-row>
    </ion-grid>

    <app-action-required
        *ngIf="!hasCalendar && !loading.calendar && !loading.consultation"
        [message]="messagesInfos.missingCalendar"
        class="block mx-23 radius-17 px-23 has-background-light-gray"
    >
        <ion-row class="ion-justify-content-center">
            <ion-col size="auto" sizeMd="6" class="pt-10">
                <app-button
                    title="Définir mon agenda"
                    routerLink="/tabs/account/agenda/schedule"
                    expand="block"
                    class="is-white button--radius-10 weight-600"
                >
                </app-button>
            </ion-col>
        </ion-row>
    </app-action-required>

    <app-action-required
        *ngIf="consultationService.list.length === 0 && hasCalendar && !loading.consultation"
        [message]="messagesInfos.noCalendarAvailable"
        class="block mx-8"
    >
    </app-action-required>

    <app-diarylist
        [list]="consultationService.list"
        [limit]="5"
        class="block mx-20"
        data-testid="consultations"
    ></app-diarylist>

    <ion-grid>
        <ion-row
            class="ion-justify-content-between ion-align-items-center mt-15 mx-16 mb-18"
        >
            <ion-col size="auto" class="ion-no-padding ion-align-items-center">
                <ion-row>
                    <ion-col size="auto" class="ion-no-padding mr-10">
                        <ion-icon
                            class="pt-4"
                            name="archive-outline"
                        ></ion-icon>
                    </ion-col>
                    <ion-col class="ion-no-padding"
                        ><ion-text
                            class="has-text-secondary size-14 weight-400 is-dove-dark"
                            >Quelques cas ouverts</ion-text
                        ></ion-col
                    >
                </ion-row>
            </ion-col>
            <ion-col
                size="auto"
                color="blue"
                class="ion-no-padding"
                *ngIf="caseList.length > 0"
            >
                <a
                    routerLink="/tabs/cases"
                    class="radius-13 px-5 size-11 weight-400 has-background-blue-light is-white ion-align-items-center has-text-primary flex"
                >
                    Tout voir
                    <ion-icon
                        name="arrow-forward-outline"
                        size="10"
                        class="is-white"
                    ></ion-icon>
                </a>
            </ion-col>
        </ion-row>

        <app-action-required
            *ngIf="caseList.length === 0 && !loading.case"
            class="block mx-8 radius-17 px-4 has-background-light-gray"
        >
            <ion-label class="size-13 weight-400" color="grey-lighter">
                Vous pouvez définir ou contribuer à un <br />cas clinique au
                travers de l’expérience de <br />votre réseau. Ainsi , vous
                bénéficiez de <br />l’expérience de vos paires pour résoudre un
                <br />cas difficile ou partager des <br />expériences.
            </ion-label>
            <ion-row class="ion-justify-content-center">
                <ion-col sizeXs="auto" sizeMd="6" class="pt-10">
                    <app-button
                        title="Publier un cas"
                        routerLink="/tabs/diaries"
                        fill="clear"
                        expand="block"
                        class="flex weight-600 radius-10 ion-justify-content-center is-primary border-1 border-solid"
                    >
                    </app-button>
                </ion-col>
            </ion-row>
        </app-action-required>

        <app-caselist
            [list]="caseList"
            [limit]="5"
            class="block mx-16"
        ></app-caselist>
    </ion-grid>
</ion-content>
<ion-footer class="ion-no-border">
    <app-tabs activeTab="home"></app-tabs>
</ion-footer>
